libsmf

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
smf_tempo_struct Struct Reference

Describes a single tempo or time signature change. More...

`#include <smf.h>`

## Data Fields
int | time_pulses
double | time_seconds
int | microseconds_per_quarter_note
int | numerator
int | denominator
int | clocks_per_click
int | notes_per_note

## Detailed Description

Describes a single tempo or time signature change.

Definition at line 258 of file smf.h.

## Field Documentation

int smf_tempo_struct::clocks_per_click

Definition at line 264 of file smf.h.

int smf_tempo_struct::denominator

Definition at line 263 of file smf.h.

int smf_tempo_struct::microseconds_per_quarter_note

Definition at line 261 of file smf.h.

int smf_tempo_struct::notes_per_note

Definition at line 265 of file smf.h.

int smf_tempo_struct::numerator

Definition at line 262 of file smf.h.

int smf_tempo_struct::time_pulses

Definition at line 259 of file smf.h.

Referenced by remove_last_tempo_with_pulses(), and smf_get_tempo_by_pulses().

double smf_tempo_struct::time_seconds

Definition at line 260 of file smf.h.

Referenced by smf_get_tempo_by_seconds().

The documentation for this struct was generated from the following file:

- smf.h